Name:       epel-rpm-macros
Version:    5
Release:    1
Summary:    Extra Packages for Enterprise Linux RPM macros

Group:      System Environment/Base
License:    GPLv2

# This is a EPEL maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.
URL:        http://download.fedoraproject.org/pub/epel

# Please see the file itself for an explanation of its odd name.
Source0:    macros.zzz-epel
Source1:    GPL

# Can't use automatic BuildRoot: yet
BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:  noarch
Requires:   epel-release = %{version}

%description
This package contains some RPM macros which minimize the differences in the
packaging process between Fedora and EPEL.

%prep
%setup -c %name-%version -T
install -pm 644 %{SOURCE1} .

%install
# No automatic buildroot cleaning yet
rm -rf %{buildroot}
install -Dpm 644 %{SOURCE0} \
    %{buildroot}/etc/rpm/macros.zzz-epel

# Can't use automatic %%clean yet.
%clean
rm -rf %{buildroot}

%files
# Can't use %%license here yet
%doc GPL
/etc/rpm/macros.zzz-epel

%changelog
* Wed Jan 20 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 5-1
- Initial version for EL5, merged from the EL6 package.
